{
	"format_version" : "1.10.0",
	"animation_controllers" : {
  	"controller.animation.rideable_dragon.fly" : {
  		"initial_state" : "default",
  		"states" : {

    		"rided" : {
    			"animations" : [ "fly_rided" ],
    			"transitions" : [
    				{
    					"default" : "!query.has_rider"
    				}
    			]
    		},

    		"default" : {
    			"animations" : [ "fly_alone" ],
    			"transitions" : [
    				{
    					"rided" : "query.has_rider"
    				}
    			]
    		}
  		}
  	}
  }
}
